<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="user"
            type="com.alaa.entity.entities.User" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/parentLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="16dp"
        android:background="@drawable/rounded_bg"
        android:foreground="@drawable/ripple">

        <ImageView
            android:id="@+id/avatarIV"
            android:layout_width="56dp"
            android:layout_height="56dp"
            android:layout_marginStart="16dp"
            android:scaleType="centerCrop"
            app:image="@{user.avatar}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


        <TextView
            android:id="@+id/nameTV"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:paddingStart="16dp"
            android:paddingEnd="16dp"
            android:text='@{String.format("%s %s", user.firstName, user.lastName)}'
            app:layout_constraintBottom_toTopOf="@id/emailTV"
            app:layout_constraintEnd_toStartOf="@id/arrowIV"
            app:layout_constraintStart_toEndOf="@id/avatarIV"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_chainStyle="packed"
            tools:text="Jack" />

        <TextView
            android:id="@+id/emailTV"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center_vertical|start"
            android:paddingStart="16dp"
            android:paddingEnd="16dp"
            android:text="@{user.email}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="@id/nameTV"
            app:layout_constraintStart_toStartOf="@id/nameTV"
            app:layout_constraintTop_toBottomOf="@id/nameTV"
            tools:text="jack@gmail.com" />

        <ImageView
            android:id="@+id/arrowIV"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="12dp"
            android:padding="12dp"
            android:scaleType="center"
            android:src="@drawable/ic_arrow"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>